don't disable use of deprecated APIs unless asked to do so. add Meta case
[vte.git] / Makefile.am
1 SUBDIRS = src gnome-pty-helper python termcaps po doc
2 EXTRA_DIST = HACKING vte.spec vte.pc.in MESSAGE-OF-DOOM
3
4 pkgconfigdir = $(libdir)/pkgconfig
5 pkgconfig_DATA = vte.pc
6
7 CVSTAG=$(shell echo $(PACKAGE)-$(VERSION) | sed 's,[\.\-],_,g')
8
9 forcetag:
10         cvs tag -cFR $(CVSTAG) .
11
12 reallytag:
13         cvs tag -cR $(CVSTAG) .
14
15 up:
16         cvs up -dP
17
18 tag:
19         $(top_srcdir)/autogen.sh
20         $(MAKE) reallytag
21
22 archive:
23         root=`cat $(top_srcdir)/CVS/Root` ; \
24         repo=`cat $(top_srcdir)/CVS/Repository` ; \
25         tmpdir=`mktemp -d /tmp/$(PACKAGE)-cvsXXXXXX` ; \
26         dir=`pwd` ; \
27         cd $$tmpdir ; \
28         cvs -d $$root export -r $(CVSTAG) $$repo ; \
29         cd $$tmpdir/$$repo ; \
30         ./autogen.sh ; \
31         make dist ; \
32         cp $(PACKAGE)-$(VERSION).tar.gz $$dir/ ; \
33         rpmbuild -tb $(PACKAGE)-$(VERSION).tar.gz || true ; \
34         rm -fr $$tmpdir
35
36 srpm: $(top_srcdir)/$(PACKAGE)-$(VERSION).tar.gz
37         rpmbuild -ts $(top_srcdir)/$(PACKAGE)-$(VERSION).tar.gz